Append a session message
curl --request POST \
--url https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"role": "<string>",
"records_used": 123,
"round_id": "<string>",
"sip_text": "<string>"
}
'import requests
url = "https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages"
payload = {
"content": "<string>",
"role": "<string>",
"records_used": 123,
"round_id": "<string>",
"sip_text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
role: '<string>',
records_used: 123,
round_id: '<string>',
sip_text: '<string>'
})
};
fetch('https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"created_at": "<string>",
"id": "<string>",
"role": "<string>",
"records_used": 123,
"round_id": "<string>",
"sip_text": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sessions
Append a session message
Append one chat turn to a session’s conversation history. role must be user or assistant and content is capped at 100000 characters. This records conversation history only and is independent of the memory engine. The session is created on first use if it does not yet exist.
POST
/
api
/
v1
/
sessions
/
{session_id}
/
messages
Append a session message
Authorizations
EDN API key presented as a bearer token in the Authorization header ('Authorization: Bearer '). Create and manage keys from the Console.
Path Parameters
Body
application/json
